
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>RHEL6.3下Zabbix监控实践之Zabbix的安装 / iVAN</title>

    <meta name="description" content="RHEL6.3下Zabbix监控实践之Zabbix的安装 RHEL6.3 i386 zabbix 2.0.3 zabbix是一个基于WEB界面的提供分布式系统监视以及网络监视功能的企业级的开源解决方案. zabbix能监视各种网络参数,保证服务器系统的安全运营:并提供柔软的通知机制以让系统管理员快速定位/解决存在的各种问题.   zabbix由2部分构成,zabbixserver与可选组件zabbix agent. zabbix server可以通过SNMP,zabbix agent,ping,端口监视等方法提供对远程服务器/网络状态的监视,数据收集等">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">RHEL6.3下Zabbix监控实践之Zabbix的安装</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>RHEL6.3 i386</p>
<p>zabbix 2.0.3</p>
<p>zabbix是一个基于WEB界面的提供分布式系统监视以及网络监视功能的企业级的开源解决方案。</p>
<p>zabbix能监视各种网络参数，保证服务器系统的安全运营；并提供柔软的通知机制以让系统管理员快速定位/解决存在的各种问题。</p>
<p> </p>
<p>zabbix由2部分构成，zabbixserver与可选组件zabbix agent。</p>
<p>zabbix server可以通过SNMP，zabbix agent，ping，端口监视等方法提供对远程服务器/网络状态的监视，数据收集等功能，它可以运行在Linux, Solaris, HP-UX, AIX, Free BSD, Open BSD, OS X等平台之上。</p>
<p>zabbix agent需要安装在被监视的目标服务器上，它主要完成对硬件信息或与操作系统有关的内存，CPU等信息的收集。zabbix agent可以运行在Linux ,Solaris, HP-UX, AIX, Free BSD, Open BSD, OS X, Tru64/OSF1,Windows NT4.0, Windows 2000/2003/XP/Vista)等系统之上。</p>
<p> </p>
<p>zabbix server可以单独监视远程服务器的服务状态；同时也可以与zabbix agent配合，可以轮询zabbix agent主动接收监视数据（trapping方式），同时还可被动接收zabbix agent发送的数据（trapping方式）。</p>
<p>另外zabbix server还支持SNMP(v1,v2)，可以与SNMP软件(例如：net-snmp)等配合使用。</p>
<p> </p>
<p>zabbix的主要特点：</p>
<p>- 安装与配置简单，学习成本低</p>
<p>- 支持多语言（包括中文）</p>
<p>- 免费开源</p>
<p>- 自动发现服务器与网络设备</p>
<p>- 分布式监视以及WEB集中管理功能</p>
<p>- 可以无agent监视</p>
<p>- 用户安全认证和柔软的授权方式</p>
<p>- 通过WEB界面设置或查看监视结果</p>
<p>- email等通知功能</p>
<p>等等</p>
<p> </p>
<p>Zabbix主要功能：</p>
<p>- CPU负荷</p>
<p>- 内存使用</p>
<p>- 磁盘使用</p>
<p>- 网络状况</p>
<p>- 端口监视</p>
<p>- 日志监视</p>
<p>源码地址：<a href="http://sourceforge.net/projects/zabbix/" rel="external nofollow noreferrer">http://sourceforge.net/projects/zabbix/</a>zabbix</p>
<p>                     <a href="http://www.zabbix.com/download.php" rel="external nofollow noreferrer">http://www.zabbix.com/download.php</a>zabbix-agents</p>
<p>zabbix最新版2.0.3:</p>
<p># wget <a href="http://nchc.dl.sourceforge.net/project/zabbix/ZABBIX%20Latest%20Stable/2.0.3/zabbix-2.0.3.tar.gz" rel="external nofollow noreferrer">http://nchc.dl.sourceforge.net/project/zabbix/ZABBIX%20Latest%20Stable/2.0.3/zabbix-2.0.3.tar.gz</a></p>
<p> </p>
<p>zabbix-agents 2.0.3：</p>
<p># wget <a href="http://www.zabbix.com/downloads/2.0.3/zabbix_agents_2.0.3.linux2_6.i386.tar.gz" rel="external nofollow noreferrer">http://www.zabbix.com/downloads/2.0.3/zabbix_agents_2.0.3.linux2_6.i386.tar.gz</a></p>
<p> </p>
<p>zabbix是基于WEB的，参考之前的LAMP安装，这里不作过多的介绍</p>
<p> </p>
<p><strong>zabbixinstall</strong></p>
<p># mysql -uroot -p</p>
<p>mysql&gt; <strong>create database zabbix;</strong></p>
<p>Query OK, 1 row affected (0.17sec)</p>
<p> </p>
<p>mysql&gt;<strong> grant all on zabbix.* to zabbix@'localhost' identified by '123';</strong></p>
<p>Query OK, 0 rows affected (0.14sec)</p>
<p> </p>
<p>mysql&gt;<strong> flush privileges;</strong></p>
<p>Query OK, 0 rows affected (0.09sec)</p>
<p> </p>
<p>mysql&gt;<strong> quit</strong></p>
<p> </p>
<p>#<strong> tar xf zabbix-2.0.3.tar.gz </strong></p>
<p>#<strong> cd zabbix-2.0.3</strong></p>
<p># <strong>mysql  -uroot -p&lt;database/mysql/schema.sql zabbix</strong></p>
<p># <strong>mysql  -uroot -p&lt;database/mysql/images.sql zabbix</strong></p>
<p>#<strong> mysql  -uroot -p&lt;database/mysql/data.sql zabbix</strong></p>
<p># <strong>./configure --prefix=/usr/local/zabbix --enable-server --enable-agent--enable-proxy --with-mysql=/usr/local/mysql/bin/mysql_config --with-net-snmp--with-libcurl</strong></p>
<p>//--prefix指定zabbix安装目录，--enable-server支持zabbix服务器，--enable-agent支持zabbix代理，--enable-proxy支持zabbix代理服务器，--with-mysql使用MySQL客户端库可以选择指定路径mysql_config，--with-net-snmp使用net-snmp软件包,择性地指定路径net-snmp配置,--with-libcurl使用curl包</p>
<p># <strong>make install</strong></p>
<p> </p>
<p># <strong>cat &gt;&gt; /etc/services &lt;&lt;EOF</strong></p>
<p>zabbix-agent    10050/tcp                           #ZabbixAgent </p>
<p>zabbix-agent    10050/udp                           #Zabbix Agent </p>
<p>zabbix-trapper  10051/tcp                            #ZabbixTrapper </p>
<p>zabbix-trapper  10051/udp                             #Zabbix Trapper </p>
<p><strong>EOF</strong></p>
<p> </p>
<p># <strong>mkdir /etc/zabbix/</strong></p>
<p># <strong>cp /usr/src/software/zabbix/zabbix-2.0.3/conf/* /etc/zabbix/</strong></p>
<p>#<strong> cp -r  /usr/src/software/zabbix/zabbix-2.0.3/frontends/php//www/zabbix</strong></p>
<p><strong># chown daemon:daemon -R  /www/zabbix/</strong></p>
<p>#<strong> cd /usr/local/zabbix/bin/</strong></p>
<p>#<strong> for i in *;do ln -s /usr/local/zabbix/bin/${i} /usr/bin/${i};done</strong></p>
<p>#<strong> cd /usr/local/zabbix/sbin/</strong></p>
<p>#<strong> for i in *;do ln -s /usr/local/zabbix/sbin/${i} /usr/sbin/${i};done</strong></p>
<p> </p>
<p>#<strong> cp /usr/src/software/zabbix/zabbix-2.0.3/misc/init.d/fedora/core/*/etc/init.d/</strong></p>
<p>#<strong> chmod +x /etc/init.d/zabbix_agentd </strong></p>
<p>#<strong> chmod +x /etc/init.d/zabbix_server</strong></p>
<p>#<strong> vim /etc/init.d/zabbix_server </strong></p>
<p>#<strong> vim /etc/init.d/zabbix_agentd</strong></p>
<p> </p>
<p>修改如下：</p>
<p># <strong>grep 'BASEDIR=' /etc/init.d/zabbix_agentd</strong></p>
<p>         BASEDIR=/usr/local/zabbix</p>
<p># <strong>grep 'BASEDIR=' /etc/init.d/zabbix_server</strong></p>
<p>         BASEDIR=/usr/local/zabbix</p>
<p>#</p>
<p> </p>
<p># <strong>chkconfig zabbix_server on</strong></p>
<p># <strong>chkconfig zabbix_agentd on</strong></p>
<p># <strong>chkconfig --list | grep zabbix</strong></p>
<p>zabbix_agentd       0:关闭      1:关闭      2:启用      3:启用      4:启用      5:启用      6:关闭</p>
<p>zabbix_server        0:关闭      1:关闭      2:启用      3:启用      4:启用      5:启用      6:关闭</p>
<p>#<strong> /etc/init.d/zabbix_agentd start</strong></p>
<p># <strong>/etc/init.d/zabbix_server start</strong></p>
<p># <strong>/etc/init.d/apache restart</strong></p>
<p># <strong>/etc/init.d/mysql5 restart</strong></p>
<p># <strong>/etc/init.d/snmpd restart</strong></p>
<p> </p>
<p>浏览器输入<a href="http://ip/zabbix" rel="external nofollow noreferrer">http://IP/zabbix</a></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzIxNzlfMjE2MS5wbmc=.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzIxOTJfNDQ0MS5wbmc=.jpg"></p>
<p>#<strong> pwd</strong></p>
<p>/usr/src/lamp/php-5.3.10/ext</p>
<p>#<strong> cd bcmath/</strong></p>
<p>#<strong> phpize </strong></p>
<p>Configuring for:</p>
<p>PHP Api Version:         20090626</p>
<p>Zend Module Api No:      20090626</p>
<p>Zend Extension Api No:   220090626</p>
<p># <strong>./configure </strong></p>
<p>#<strong> make &amp;&amp; make install</strong></p>
<p>……</p>
<p>cp ./.libs/bcmath.so/usr/src/lamp/php-5.3.10/ext/bcmath/modules/<strong>bcmath.so</strong></p>
<p>……</p>
<p>Installing sharedextensions:    /usr/local/lib/php/extensions/no-debug-non-zts-20090626/</p>
<p> </p>
<p># <strong>pwd</strong></p>
<p>/usr/src/lamp/php-5.3.10/ext/gettext</p>
<p>#<strong> phpize</strong></p>
<p>Configuring for:</p>
<p>PHP Api Version:         20090626</p>
<p>Zend Module Api No:      20090626</p>
<p>Zend Extension Api No:   220090626</p>
<p>#<strong> ./configure &amp;&amp; make &amp;&amp; make install</strong></p>
<p>……</p>
<p>cp ./.libs/gettext.so /usr/src/lamp/php-5.3.10/ext/gettext/modules/<strong>gettext.so</strong></p>
<p>……</p>
<p>Installing sharedextensions:    /usr/local/lib/php/extensions/no-debug-non-zts-20090626/</p>
<p> </p>
<p># <strong>vim /usr/local/lib/php.ini </strong></p>
<p>#<strong> grep -v '^;' /usr/local/lib/php.ini | grep \</strong></p>
<p><strong>-E 'post_max|max_execution|max_input|bcmath.so|gettext.so'</strong></p>
<p>max_execution_time= 300</p>
<p>max_input_time= 300</p>
<p>post_max_size= 16M</p>
<p>extension=bcmath.so</p>
<p>extension=gettext.so</p>
<p>#<strong> /etc/init.d/apache restart</strong></p>
<p><strong> </strong></p>
<p>刷新网页即可</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzIyNDNfODUwNi5wbmc=.jpg"><br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzIyNTRfNzUyNS5wbmc=.jpg"></p>
<p>4和5两步这里不再截图</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzIzMjFfOTEwOS5wbmc=.jpg"><br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzIzMzNfMTcwMy5wbmc=.jpg"></p>
<p>默认user:<strong>admin </strong></p>
<p>       password:<strong>zabbix</strong></p>
<p>登陆之后就可以看到zabbix的web主界面了</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzI0MTBfODIzOS5wbmc=.jpg"></p>
<p>可以修改语言为中文</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzI0NzJfMzA4Ni5wbmc=.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLm15LmNzZG4ubmV0L3VwbG9hZHMvMjAxMjExLzE3LzEzNTMxMzI0ODJfMTgwMS5wbmc=.jpg"></p>
<p>保存即可！强烈建议使用英文界面！！！</p>
<p>基本的安装就是如上的步骤!</p>
<p>参考：<a href="http://www.oschina.net/p/zabbix" rel="external nofollow noreferrer">http://www.oschina.net/p/zabbix</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 15:38:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/zend/" title="zend">zend</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/%e7%9b%91%e6%8e%a7/" title="监控">监控</a>, <a href="https://www.iamivan.net/tag/agent/" title="agent">agent</a>, <a href="https://www.iamivan.net/tag/zabbix/" title="zabbix">zabbix</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>RHEL6.3下Zabbix监控实践之Zabbix的安装的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKqyKM.html" rel="bookmark">zabbix监控nginx连接状态&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				zabbix监控nginx zabbix可以监控nginx的状态,关于一个服务的状态可以查看服务本身的状态(版本号.是否开启),还应该关注服务能力(例如以nginx的负载效果:连接数.请求数和句柄数).下面我们使用zabbix监控nginx. nginx的安装 如果想要查看nginx的服务状态,在对nginx进行源码安装的时候要选中–with-http_stub_status_module模块. 1.解压安装包: [root@server5 mnt]# tar xvf nginx-1.6.2.t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjZgvp.html" rel="bookmark">zabbix监控nginx&lowbar;status</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境: zabbix 2.0 Zabbix Server: 172.28.2.119 Zabbix nginx 客户端: 172.28.2.151 前提是nignx在编译安装时加上:--with-http_stub_status_module -----这个大家都知道!! 同时还要在nginx的配置文件中加上: location /status { stub_status on; access_lod off; allow 127.0.0.1; allow 172.28.2.119; #这是我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrWW1M.html" rel="bookmark">Zabbix监控之Linux命令行&sol;Shell脚本解析json</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1684266 本文主要写了在Linux下如何用Shell脚本解析json数据,以便于在Zabbix中添加适合于业务应用的监控项. 为什么要使用json? json作为一种文本化的数据格式(文本化协议),符合UNIX编程的哲学,既符合透明性(透明性:设计可见,便于审查和调试)又符合文本性(文本性:数据应该保存为文本文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRr0Gp.html" rel="bookmark">如何自动化添加上百台Zabbix监控</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 当我们熟悉了Zabbix的日常监控,可以在生产环境正确的部署和实施监控工作.而且通过修改Zabbix Agent为主动方式并结合Zabbix Proxy的使用,可以满足大规模监控的需求.那么同样的问题就是大规模监控环境中,如何能让操作自动化.面对上百.数千乃至上万的规模,手动添加监控基本上是不可能的. 可以将Zabbix自动化分为三个大方向: Zabbix Agent的自动添加 Zabbix Discovery自动发现 使用Zabbix API 那么今天我们来说说Zabbix Agent的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2lNOM.html" rel="bookmark">zabbix监控MySQL日志文件的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般情况下,日志最先反映出应用当前的问题,在海量日志里面找到我们异常记录,然后记录下来,并且根据情况报警,大家可以监控系统日志.nginx.Apache.业务日志.这边我拿常见的MySQL日志做监控,大家看演示. 监控日志key 首先要了解key,log[file,&lt;regexp&gt;,&lt;encoding&gt;,&lt;maxlines&gt;,&lt;mode&gt;,&lt;output&gt;] file:文件名,写绝对路径 regexp:要匹配内容的正则表达式,或者直接写你要检索的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA6ALZp.html" rel="bookmark">zabbix 监控 Redis</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Redis 学习(Zabbix 监控Redis) 前面redis的配置文件盒常用命令.redis info信息都解释完了,接下来就是监控我们的redis了,我使用的是zabbix监控软件,所有在这里我在这里详细介绍下怎么设置zabbix来监控reids,主要分为配置zabbix插件.插件脚本.创建模板监控项.创建图形几个方面. Redis 学习(配置文件和常用命令注释):http://54snow.blog.51cto.com/2690157/1537449Redis 学习(Redis Info			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyP4G4b.html" rel="bookmark">zabbix监控redis数据库状态两种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一,zabbix监控redis 1.导入模板 同样,模板我已上传到 github项目 上 .直接下载,通过下面的步骤导入模板:点击configuration ----&gt; templates ------&gt; import -------&gt; 导入下载的xml文件 . 2.客户端key配置 在被监控的主机上,打开/etc/zabbix/zabbix_agentd.conf 配置文件,在最后一行加入: UserParameter=redis_stats[*],redis-cli -h 127			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRw8Op.html" rel="bookmark">Zabbix 监控 Nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Zabbix监控Nginx 首先,大家如果看到有什么不懂的地方,欢迎吐槽!!! 我会在当天或者第二天及时回复,并且改进~~ 在添加监控之前,必须要强调的是,Nginx必须支持stub_status状态的访问,不然一切都是空谈!!! 首先zabbix监控nginx 是根据nginx的Stub Status模块,抓取Status模块所提供的数据. 如果想启用Stub Status模块,在编译nginx的时候要加上参数 --with-http_stub_status_module 例如: ./conf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4eYR1b.html" rel="bookmark">开源监控系统中 Zabbix 和 Nagios 哪个更好？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				监控平台的话,各有优劣,但基本都可以满足需求.等达到一定监控指标后,发现,最困难的是监控项目的管理. CMDB中小规模(服务器&lt;=1k):Zabbix大规模(1k&gt;=服务器&lt;=10k):Nagios进行二次开发超大规模(服务器&gt;=10k):开发适应自己平台的监控软件吧另推荐个牛逼的东西:http://prometheus.io 作者:好撑链接:https://www.zhihu.com/question/19973178/answer/131911060来源:知乎著作权归作者所有.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7xXbW.html" rel="bookmark" class="title">PhotoShop为夜景照片添加闪耀的灯光效果</a>
					<div>
						你们学会了如何拍摄星芒闪烁的夜景图片了吗?我们上一个专题教大家如何去拍摄星光闪烁的夜景,可是星光镜却是有多种多样呢!你又怎么可能把所有不同形状的星光镜都买下来呢? 这个专题就由小编来教大家用PS来打造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVGvmb.html" rel="bookmark" class="title">CSS3&plus;HTML5实例&colon;HTML5和CSS3制作登录表单</a>
					<div>
						文章简介:HTML5提供了一些新的元素可以让我们不用JS轻松实现实用的web表单,CSS3提供了很多新的特性,这些特性允许实现新的设计效果(比如动画.渐变等).  HTML5提供了一些新的元素可以让我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7V2Xp.html" rel="bookmark" class="title">读《4399海量关键词优化策略》的几点感悟</a>
					<div>
						大家好,我是虚子雨.前不久4399移动产品经理发布了4399关于自己海量关键词优化策略的一些经验,经验是非常给力的,不知道大家有没有看&lt;4399移动产品经理:海量关键词优化策略&gt;,没有看的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyd53b.html" rel="bookmark" class="title">Gmail开始为用户提供&OpenCurlyDoubleQuote;取消订阅&rdquo;按钮 免受广告邮件打扰</a>
					<div>
						即便现代电子邮箱的垃圾邮件过滤技术已经足够出色,不过显然各类促销邮件仍然在困扰我们.于是谷歌准备为Gmail用户整治这部分邮件.谷歌已经开始为Gmail用户在邮件中添加&quot;unsubscrib ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balaLPz.html" rel="bookmark" class="title">利用python实现批量自动化运维脚本案例</a>
					<div>
						本文为通过密码或密钥实现python批量自动化运维脚本案例分享 #!/usr/bin/env python # this script comes from beijing oldboy trainn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo60Vdz.html" rel="bookmark" class="title">用Hadoop进行分布式并行编程&comma; 第1部分</a>
					<div>
						Hadoop 是一个实现了 MapReduce 计算模型的开源分布式并行编程框架,借助于 Hadoop, 程序员可以轻松地编写分布式并行程序,将其运行于计算机集群上,完成海量数 据的计算.本文将介绍  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNgW0b.html" rel="bookmark" class="title">冒号课堂&sect;5&period;4：语言误区</a>
					<div>
						第五课 语言小谈(4) 5.4语言误区--语言的宗教情结 爱而不知其恶,憎而遂忘其善 --&lt;吴兢·贞观政要&gt; 关键词:编程语言,宗教,程序员,架构师 摘要:关于编程语言的一些误区 !预览  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj73ymM.html" rel="bookmark" class="title">PS国外翻译教程：合成圣诞元素时尚女郎海报教程</a>
					<div>
						PS教程为翻译国外教程,教大家如何打造一幅圣诞元素的时尚女郎海报,提供练习素材下载,喜欢的同学可以跟着做一下! 最终效果图: 练习素材:(点此下载) photoshop教程教程: 1.新建850*10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwQBkb.html" rel="bookmark" class="title">WindowsXP系统电脑光驱会自动弹出如何解决</a>
					<div>
						WindowsXP系统电脑光驱会自动弹出如何解决   具体如下: 一.停用光驱法 1.光驱受系统控制,右键点击光驱,点击弹出,即可控制弹出.也许是系统内部问题,也许是硬件控制问题,但只要在系统内部,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NeL1M.html" rel="bookmark" class="title">用 Flask 来写个轻博客 &lpar;37&rpar; &mdash; 在 Github 上为第一阶段的版本打 Tag</a>
					<div>
						目录 目录 前文列表 第一阶段结语 打 Tag 前文列表 用 Flask 来写个轻博客 (1) - 创建项目 用 Flask 来写个轻博客 (2) - Hello World! 用 Flask 来写个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My32k8z.html" rel="bookmark" class="title">有关逗号表达式</a>
					<div>
						逗号表达式本身不难,常常与赋值运算符一起考,考查学生对这两个知识点的理解和考生观察是否细心.如下题: 题目:以下程序的输出结果是: main() { int x,y,z; x=y=1; z=x++,y ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN8Gkz.html" rel="bookmark" class="title">读取打开txt文件的第一行字符串，并处理</a>
					<div>
						问题描述 textBox1.text==openFileDialog1.Filename;StreamReadersreader=newStreamReader(textBox1.Text,Encod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPQkmp.html" rel="bookmark" class="title">新浪博客开发者平台的网站接入如何填写？</a>
					<div>
						问题描述 新浪博客开发者平台的网站接入如何填写? 10C 新浪博客开发者平台的网站接入如何填写?它需要填写两个信息,网站名称和网站域名,我在网站名称上填了自己博客的title名字,然后将主页的url黏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB8lvb.html" rel="bookmark" class="title">【java设计模式】之 单例（Singleton）模式</a>
					<div>
						1. 单例模式的定义         单例模式(Singleton Pattern)是一个比较简单的模式,其原始定义如下:Ensure a class has only one instance, a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydOEkb.html" rel="bookmark" class="title">揭密网络色情的行业内幕</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 为了消除网络色情的危害,从今年4月起,国家十部委开展了为期半年的一份打击网络淫秽色情专项行动.&lt;新闻调查&gt;也前往河北.深圳.上海进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zdgnz.html" rel="bookmark" class="title">ren 命令在使用通配符时需要注意的地方&lowbar;DOS&sol;BAT</a>
					<div>
						1. ren 完整文件名 *指定完整文件名中任意字符或连续的字符串.扩展名 改文件名为:从原文件名开头通配至指定字符(串).扩展名 如: ren 10.pdf *0.c 得 10.c ren 10.p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqGwLz.html" rel="bookmark" class="title">立足伟大传统的前沿：铁路实时安全软件</a>
					<div>
						本文讲的是立足伟大传统的前沿:铁路实时安全软件,火车是真正意义上最古老的机械交通方式.作为第一种不依赖人力或天气的交通工具,火车改变了我们生活和工作方式.从第一批蒸汽机车开始穿行于世界各地到如今已有两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgy1AM.html" rel="bookmark" class="title">源代码-串口通讯中的一些问题</a>
					<div>
						问题描述 串口通讯中的一些问题 用的龚建伟的源代码 串口控件做的 每次运行接受数据时出现这个问题 但是能发数据 应该不是程序的问题 用别的程序也是这个问题 请问怎么办? 解决方案 关于串口通讯查询与中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5mD5p.html" rel="bookmark" class="title">如何在微服务之间共享使用数据库</a>
					<div>
						本文讲的是如何在微服务之间共享使用数据库,[编者的话]如何在微服务之间共享使用数据库?本文介绍了一个该领域很容易犯错的架构问题,并且提出了解决方案和反思. 几年前,我是一个团队的首席开发人员,该团队为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xJyKb.html" rel="bookmark" class="title">Facebook 目前正在内测一种新的快速查找好友的功能</a>
					<div>
						Facebook 目前正在内测一种新的快速查找好友的功能,该功能被 Facebook 称作&quot;Shortcut&quot;. Facebook 将为每位用户提供一个专属的 8位数号码,通过这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnmE6M.html" rel="bookmark" class="title">Maven 环境快速搭建二（eclipse&plus;maven2&plus;jetty）</a>
					<div>
						本文更新一个命令. 第一节中提示创建一个项目用archetype:create  create是个被废弃或不被推荐使用的插件,在以后创建项目中请尽量使用archetype:generate 创建一个项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB57QM.html" rel="bookmark" class="title">android studio-Android Studio widget中的组件找不到导包需要手动输入</a>
					<div>
						问题描述 Android Studio widget中的组件找不到导包需要手动输入 像图中一样,简单的View都不自动导包了,需要手动输入,上面那个GridView是手动输入的,定义组件都只提示v7和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgy4WM.html" rel="bookmark" class="title">美柚获3500万美元C轮融资</a>
					<div>
						网易科技讯 6月24日消息,女性健康管理应用美柚今日宣布获得3500万美元C轮融资,海纳亚洲创投基金(SIG)领投,经纬创投和险峰华兴跟投,资金已全部到账. 美柚2013年4月上线,以经期记录功能切入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkDK8M.html" rel="bookmark" class="title">中国的同类应用&OpenCurlyDoubleQuote;秘密&rdquo;抄袭Secret？</a>
					<div>
						腾讯科技讯(朱旭冬)5月19日消息,美国匿名社交应用Secret创始人兼CEO大卫·比托(David Byttow)今日向腾讯科技表示,中国的同类应用&quot;秘密&quot;抄袭了Secret.但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqXqdp.html" rel="bookmark" class="title">Office 2013已正式上市 标准版369美元</a>
					<div>
						微软Offcie团队证实,Office 2013将1月29日(周二)正式上市.新浪科技讯 北京时间1月29日凌晨消息,微软Offcie团队周日证实,新一代办公套装Office 2013将1月29日(周 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlejZp.html" rel="bookmark" class="title">js为空或不是对象问题的快速解决方法&lowbar;javascript技巧</a>
					<div>
						1.加了个参数&lt;script language=&quot;javascript&quot; defer=&quot;defer&quot;&gt; 2. 'null'为空或不是对象: &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVw1az.html" rel="bookmark" class="title">Android 永久变砖功能即将到来</a>
					<div>
						苹果手机丢失之后可以通过远程锁定功能使其变砖,但是Android系统在这方面要弱上许多.虽然现在的Android系统支持远程清除功能,但是对于很多高手来讲,破解Android比破解iOS系统容易得多. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8VX2b.html" rel="bookmark" class="title">云效平台主题沙龙圆满落幕，用技术驱动企业提效话题互动热烈</a>
					<div>
						8月10日,阿里巴巴旗下产品云效平台主题沙龙&quot;用技术驱动企业提效&quot;在北京圆满落幕.本次沙龙主要面向云效平台VIP俱乐部会员免费开放,包括比亚迪.国美在线.民生银行.永安保险.乐视网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2j55z.html" rel="bookmark" class="title">阿里向我国外贸出口企业发放&OpenCurlyDoubleQuote;出口补贴&rdquo;</a>
					<div>
						跨境电商业务的不断成熟,正在酝酿新的市场机遇.&lt;经济参考报&gt;记者从阿里巴巴获悉,阿里巴巴将通过旗下的一达通平台,向我国外贸出口企业发放&quot;出口补贴&quot;.业内认为,阿里巴巴此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlADOap.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;双11&rdquo;快递进入尾声 本周起收派恢复正常</a>
					<div>
						北京商报讯(记者 李铎 王运)&quot;双11&quot;快递高峰进入尾声.北京商报记者昨日从多家http://www.aliyun.com/zixun/aggregation/35065.html ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
